#!/bin/bash

if [ $# -ne 1 ]; then
    echo "Usage: ./create-sources VERSION"
    exit 1
fi

VERSION=${1}

rm -Rf reactor-${VERSION}
mkdir -p reactor-${VERSION}

pushd reactor-${VERSION}
# 
for p in alloc \
 bus \
 core \
 groovy \
 groovy-extensions \
 logback \
 net \
 stream ; do
 mkdir -p reactor-${p}
 pushd reactor-${p}
    wget -O pom.xml http://repo1.maven.org/maven2/io/projectreactor/reactor-${p}/${VERSION}/reactor-${p}-${VERSION}.pom
 popd
done

tar -cJf ../reactor-${VERSION}-poms.tar.xz *

popd


